commit cda68d77b2835b67fc80abe7ec4d71de1065bb21
Author: Maciej W. Rozycki <macro@embecosm.com>
Date:   Tue Jul 11 16:57:33 2023

    testsuite: Require vectors of doubles for pr97428.c
    
    The pr97428.c test assumes support for vectors of doubles, but some
    targets only support vectors of floats, causing this test to fail with
    such targets.  Limit this test to targets that support vectors of
    doubles then.
    
            gcc/testsuite/
            * gcc.dg/vect/pr97428.c: Limit to `vect_double' targets.
    
    (cherry picked from commit 5d9fc2aced3a2128527afd4a627424542f238471)

diff --git a/gcc/testsuite/gcc.dg/vect/pr97428.c b/gcc/testsuite/gcc.dg/vect/pr97428.c
index bbd743a76c4..ad6416096aa 100644
--- a/gcc/testsuite/gcc.dg/vect/pr97428.c
+++ b/gcc/testsuite/gcc.dg/vect/pr97428.c
@@ -1,4 +1,5 @@
 /* { dg-do compile } */
+/* { dg-require-effective-target vect_double } */
 
 typedef struct { double re, im; } dcmlx_t;
 typedef struct { double re[4], im[4]; } dcmlx4_t;

